Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceWorkflows

Get execution details

GET/v1/executions/{executionId}

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Path Parameters

executionId*string

Execution ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.npayload.com/v1/executions/string"
{
  "id": "string",
  "workflowId": "string",
  "status": "running",
  "input": {},
  "output": {},
  "startedAt": "2019-08-24T14:15:22Z",
  "completedAt": "2019-08-24T14:15:22Z",
  "steps": [
    {
      "stepId": "string",
      "status": "string",
      "result": {},
      "error": "string"
    }
  ]
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}

Was this page helpful?